Knowledge Sources - Delete
删除现有知识源。
DELETE {endpoint}/knowledgesources('{sourceName}')?api-version=2026-04-01
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
endpoint
|
path | True |
string (uri) |
搜索服务的终结点 URL。 |
|
source
|
path | True |
string |
知识源的名称。 |
|
api-version
|
query | True |
string minLength: 1 |
用于此操作的 API 版本。 |
请求头
| 名称 | 必需 | 类型 | 说明 |
|---|---|---|---|
| Accept |
接受(Accept)首部。 |
||
| If-Match |
string |
定义 If-Match 条件。 仅当服务器上的 ETag 与此值匹配时,才会执行该作。 |
|
| If-None-Match |
string |
定义 If-None-Match 条件。 仅当服务器上的 ETag 与此值不匹配时,才会执行该作。 |
|
| x-ms-client-request-id |
string (uuid) |
请求的不透明、全局唯一的客户端生成的字符串标识符。 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 204 No Content |
没有要为此请求发送的内容,但标头可能很有用。 |
|
| 404 Not Found |
服务器找不到请求的资源。 |
|
| Other Status Codes |
意外的错误响应。 |
安全性
api-key
类型:
apiKey
在:
header
OAuth2Auth
类型:
oauth2
流向:
implicit
授权 URL:
https://login.microsoftonline.com/common/oauth2/v2.0/authorize
作用域
| 名称 | 说明 |
|---|---|
| https://search.azure.com/.default |
示例
|
Search |
|
Search |
|
Search |
|
Search |
SearchServiceDeleteKnowledgeSource
示例请求
DELETE https://exampleservice.search.windows.net/knowledgesources('ks-example-index')?api-version=2026-04-01
示例响应
SearchServiceDeleteKnowledgeSourceAzureBlob
示例请求
DELETE https://exampleservice.search.windows.net/knowledgesources('ks-example-index')?api-version=2026-04-01
示例响应
SearchServiceDeleteKnowledgeSourceIndexedOneLake
示例请求
DELETE https://exampleservice.search.windows.net/knowledgesources('ks-example-index')?api-version=2026-04-01
示例响应
SearchServiceDeleteKnowledgeSourceWeb
示例请求
DELETE https://exampleservice.search.windows.net/knowledgesources('ks-example-index')?api-version=2026-04-01
示例响应
定义
| 名称 | 说明 |
|---|---|
| Accept |
接受(Accept)首部。 |
|
Error |
资源管理错误附加信息。 |
|
Error |
错误详细信息。 |
|
Error |
所有 Azure 资源管理器 API 的通用错误响应,用于返回失败操作的错误细节。 (这也遵循 OData 错误响应格式)。 |
Accept
接受(Accept)首部。
| 值 | 说明 |
|---|---|
| application/json;odata.metadata=minimal |
ErrorAdditionalInfo
资源管理错误附加信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| info |
附加信息。 |
|
| type |
string |
附加信息类型。 |
ErrorDetail
错误详细信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| additionalInfo |
错误附加信息。 |
|
| code |
string |
错误代码。 |
| details |
错误详细信息。 |
|
| message |
string |
错误消息。 |
| target |
string |
错误目标。 |
ErrorResponse
所有 Azure 资源管理器 API 的通用错误响应,用于返回失败操作的错误细节。 (这也遵循 OData 错误响应格式)。
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
错误对象。 |